## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET
/
v2.0
/largelanguagemodels
/{largeLanguageModelId}
/availablemodels

Try it

Get models for a large language model provider

### cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels/{largeLanguageModelId}/availablemodels \
  --header 'X-API-Key: <api-key>'
```

### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels/{largeLanguageModelId}/availablemodels"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels/{largeLanguageModelId}/availablemodels', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels/{largeLanguageModelId}/availablemodels",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels/{largeLanguageModelId}/availablemodels"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response Codes

- **200**
- **400**
- **401**
- **402**
- **403**
- **404**
- **405**
- **409**
- **413**
- **500**
- **501**
- **502**
- **503**
- **504**

### Sample Response

```json
{
  "availableModels": [
    {
      "modelName": "<string>",
      "modelId": "<string>",
      "providerName": "<array>"
    }
  ]
}
```

### Error Handling

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

Similarly structured error response objects for other error statuses can be provided here.

### Authorizations

#### API Key

- **X-API-Key**: required in the HTTP header

### Headers

- **Accept**: specifies the media type expected in the response (e.g., `application/json`).

### Path Parameters

- **largeLanguageModelId**: required, unique identifier for the large language model (24 characters long).

### Query Parameters

- **connectionRefId**: required, identifier for the large language model connection (UUID).

### Responses

- **200**: application/json with a list of available models for the large language model.
